<?php

namespace App\Filament\Resources\BillofladingResource\Pages;

use Filament\Actions;
use Filament\Resources\Pages\CreateRecord;
use App\Filament\Resources\BillofladingResource;

class CreateBilloflading extends CreateRecord
{
    protected static string $resource = BillofladingResource::class;

    protected function mutateFormDataBeforeCreate(array $data): array
    {
        $data['entry_by'] = auth()->id();
        $data['organization_id'] = auth()->user()->organization_id;
        // dd($data);

        return $data;
    }
}
